package com.lightinit.hsdataportal.service;

import com.lightinit.hsdataportal.model.*;

import java.util.List;


public interface IAPIDemandService {
    List<APIDemandOpenListModel> queryOpenList(APIDemandOpenSearchModel demandOpenSearchModel);

    long queryOpenCount(APIDemandOpenSearchModel demandOpenSearchModel);

    APIDemandOpenViewModel queryView(Long id);

    ResultState<Long> release(APIDdmandOpenReleaseModel releaseModel,Long userId);

    int isFollow(Long userId, Long id, String resourceType);

    ResultState follow(Long id, Long userId, String resourceType);

    int isReceive(Long id);

    List<APIDemandOpenListModel> getMore(APIDemandOpenSearchModel searchModel, int pageNo);
}
